version: '3'

services:
  medicine-remd:
    restart: "always"
    image: docker.med-logic.ru/medicine-remd:latest
    container_name: medicine-remd
    env_file: .env
    environment:
      UWSGI_PROCESSES: 2
      UWSGI_THREADS: 2
      SECRET_KEY: ${SECRET_KEY}
      SENTRY_ENABLED: ${SENTRY_ENABLED}
      SENTRY_SERVER_NAME: ${SENTRY_SERVER_NAME}
    security_opt:
      - seccomp:unconfined
    ports:
      - "870:80"
    volumes:
      - ./public:/app/public
    networks:
      - medicine-network
    logging:
      driver: "json-file"
      options:
        max-size: "200k"
        max-file: "10"

networks:
  medicine-network:
    external: true
